org.apache.xmlgraphics.image.codec.tiff

## Enum CompressionValue

- java.lang.Object
- - java.lang.Enum<CompressionValue>
  - - org.apache.xmlgraphics.image.codec.tiff.CompressionValue

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CompressionValue>

      public enum CompressionValue
      extends java.lang.Enum<CompressionValue>

  Enumerates the possible compression values for TIFF images.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFLATE` DEFLATE lossless compression (also known as "Zip-in-TIFF").
    `GROUP3_1D` Modified Huffman Compression (CCITT Group 3 1D facsimile compression).
    `GROUP3_2D` CCITT T.4 bilevel compression (CCITT Group 3 2D facsimile compression).
    `GROUP4` CCITT T.6 bilevel compression (CCITT Group 4 facsimile compression).
    `JPEG_BROKEN` Code for original JPEG-in-TIFF compression which has been depricated (for many good reasons) in favor of Tech Note 2 JPEG compression (compression scheme 7).
    `JPEG_TTN2` JPEG-in-TIFF compression.
    `LZW` LZW compression.
    `NONE` No compression.
    `PACKBITS` Byte-oriented run-length encoding "PackBits" compression.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CompressionValue` | `getValue(java.lang.String name)` Gets the compression value given the name of the compression type.
    `static CompressionValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CompressionValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final CompressionValue NONE

      No compression.

    - #### GROUP3_1D

          public static final CompressionValue GROUP3_1D

      Modified Huffman Compression (CCITT Group 3 1D facsimile compression).

      Not currently supported.

    - #### GROUP3_2D

          public static final CompressionValue GROUP3_2D

      CCITT T.4 bilevel compression (CCITT Group 3 2D facsimile compression).

      Not currently supported.

    - #### GROUP4

          public static final CompressionValue GROUP4

      CCITT T.6 bilevel compression (CCITT Group 4 facsimile compression).

      Not currently supported.

    - #### LZW

          public static final CompressionValue LZW

      LZW compression.

      Not supported.

    - #### JPEG_BROKEN

          public static final CompressionValue JPEG_BROKEN

      Code for original JPEG-in-TIFF compression which has been depricated (for many good reasons) in favor of Tech Note 2 JPEG compression (compression scheme 7).

      Not supported.

    - #### JPEG_TTN2

          public static final CompressionValue JPEG_TTN2

      JPEG-in-TIFF compression.

    - #### PACKBITS

          public static final CompressionValue PACKBITS

      Byte-oriented run-length encoding "PackBits" compression.

    - #### DEFLATE

          public static final CompressionValue DEFLATE

      DEFLATE lossless compression (also known as "Zip-in-TIFF").

  - ### Method Detail

    - #### values

          public static CompressionValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CompressionValue c : CompressionValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CompressionValue valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static CompressionValue getValue(java.lang.String name)

      Gets the compression value given the name of the compression type.
      Parameters:
        `name` - the compression name
      Returns:
        the compression value

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.